Batch List
curl --request GET \
--url https://nini.monieswitch.com/card/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/card/batch"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/card/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"size": 50,
"page": 1,
"totalRecords": 3,
"totalReadyBatches": 2,
"totalPendingBatches": 1,
"totalAcceptedBatches": 0,
"totalDeclinedBatches": 0,
"totalPages": 1,
"batches": [
{
"id": "e61cecae-54e0-4bef-9578-58ac7079c90d",
"status": "READY",
"scheme": "VERVE",
"type": "PHYSICAL",
"batchReference": "zD3XQQOKMhnUYJ9t3MjBttHTIhIT0N9OYTIm",
"createdAt": "2025-09-01T00:59:05.243Z",
"merchant": {
"id": "3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84",
"businessName": "Kimpembe"
}
},
{
"id": "cfec027f-1805-4da6-a99b-3c86ee36298a",
"status": "READY",
"scheme": "VERVE",
"type": "PHYSICAL",
"batchReference": "WdfyZwAaO1gcHYDyAc4lYIawvMInR3PbwV8H",
"createdAt": "2025-09-01T00:07:34.789Z",
"merchant": {
"id": "3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84",
"businessName": "Kimpembe"
}
},
{
"id": "8a030cf9-2b13-4442-8997-bbfc9edc7c8e",
"status": "PENDING",
"scheme": "VERVE",
"type": "PHYSICAL",
"batchReference": "ACR3jORpd1lLVZmPjfiDiTQ22kK1f1JdycF8",
"createdAt": "2025-08-18T18:42:04.905Z",
"merchant": {
"id": "3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84",
"businessName": "Kimpembe"
}
}
]
}
}Card
Batch List
GET
/
card
/
batch
Batch List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
PENDING, ACCEPTED, DECLINED
PHYSICAL, VIRTUAL
Body
application/json
The body is of type object.
⌘I